Expand my Community achievements bar.

July 31st AEM Gems Webinar: Elevate your AEM development to master the integration of private GitHub repositories within AEM Cloud Manager.

Contexthub not defined in AEM 6.4

Avatar

Level 3

Hi Team,

Issue

Below are the steps to reproduce the issue

1. Open the asset share page and click on cart to download the assets.

2. On first attempt the assets will get downloaded from cart

3. Again open the cart and download the asset.

4. The asset will not be download and there is an error "contexthub is not defined .............contexthub.kernel.js"  on web console.

Trials

I read some article on this like

ContextHub is not defined following Download · Issue #237 · Adobe-Marketing-Cloud/asset-share-common...

and changed the asset share commons version from 1.5.0 to 1..6.6 on my local instance but the issue still persist.

Observation:

The js which this issue referring is, contexthub.kernel.js which is included in a JSP under libs path.(will update the path here)

The difference from AEM 6.3 is, contexthub node is not available under etc.

Please let me know if anyone got the resolution to above issue

Thanks,

Ranjna

10 Replies

Avatar

Level 10

Per link that you shared, the bug is fixed and released. You may install latest package, clear internal cached libraries and test otherwise, open a ticket similar to the link that you shared.

Releases · Adobe-Marketing-Cloud/asset-share-commons · GitHub

HTH

Avatar

Level 3

Hi,

I did install the asc 1.6.12 but it couldn't resolve the issue.

What i have observed that contexthub and contexthubsegmentation path in content/home/en node is pointing to old location in etc which is not available in aem6. 4.

So i changed the reference to new location(libs) but then i am getting some methods are not supported issues.

Should i follow any sequence while installing asc?

Where should i point the reference location from content/home/en node?

Any suggestion would be really appreciated

Thanks,

Ranjna

Avatar

Level 10

As far as I know, the sequence of installation doesn't matter and it should point to /libs to utilize the updated features.

It would work with /etc as well but not sure if the behavior would be different.

Try this -

Use /etc path and add slingResourceSuperType to /etc path node and point it to /libs path. That might do the trick.

Avatar

Level 3

It did work by installing ASC 1.6.12 core and app package.

Thank you

Avatar

Level 3

Hi Team,

As i did mention above , the issue got resolved by installing ASC 1.6.12.

But there is some discrepancy while checking it on different environment.

1. It did work fine on local instance , Dev and QA with ASC 1.6.12 and does not work with ASC 1.5.0.

2. It is working fine on Stage with the old ASC 1.5.0 and looks like there is no need to install ASC 1.6.12 on stage environment.

Now if i go ahead in production with the as is ASC 1.5.0 , there is possibility that it may or may not work.

team, could you provide your suggestions and thoughts on above scenarios and with what version it is good to go in production ?

Thanks,

Ranjna

Avatar

Level 10

I assume the environments are not in sync w.r.t. CFP/SP/core components/OOB bundle versions.

The best approach would be to identify the gaps. Another solution could be to drill down into filter paths of ASC apps/content packages and check its impact.

Compare your STAGE & PROD and STAGE & local environments for the above mentioned filters to get more clues

Avatar

Community Advisor

Refer the following forum link - https://forums.adobe.com/message/10907246#10907246​ , this may help you.

Regards

Albin I

Avatar

Level 1

Hi @smacdonald2008,

Thanks for all your work supporting the community over the years.

I appreciate that you may want to move on and that supporting older content may be a lot of work but is there any chance you can disable the redirect on articles like this one? I got a tantalising glimpse of this answer before being whisked away to your new site!

Although a lot of it is 'legacy' and AEM has moved on, there's still plenty of useful information that was there.

Kind regards,

David

 

Avatar

Level 3

i did overlay the part of ASC in my project so in this scenario ill have to do the changes in custom code after installing ASC updated package(1.6.12) and then there was a distortion in UI so i did fix that as well.  In the end , it did work out after combination of changes.

Thanks team for all your support